%Input latitude in degrees and returns how many meters/degree of latitude
%and longitude

function [latmeters,longmeters]=calc(value)
%Compute lengths of degrees
%// Convert latitude to radians
conv_factor = (2 * pi)/360;
lat=value*conv_factor;

%		// Set up "Constants"
		m1 = 111132.92;%		// latitude calculation term 1
		m2 = -559.82;	%	// latitude calculation term 2
		m3 = 1.175;		%	// latitude calculation term 3
		m4 = -0.0023;	%	// latitude calculation term 4
		p1 = 111412.84;%		// longitude calculation term 1
		p2 = -93.5;		%	// longitude calculation term 2
		p3 = 0.118;		%	// longitude calculation term 3

%		// Calculate the length of a degree of latitude and longitude in meters
		latlen = m1 + (m2 * cos(2 * lat)) + (m3 * cos(4 * lat)) + (m4 * cos(6 * lat));
		longlen = (p1 * cos(lat)) + (p2 * cos(3 * lat)) + (p3 * cos(5 * lat));
		
%		// Place values in output fields
		latmeters = round(latlen);
		latfeet = round(latlen / 12 * 39.370079);
		latsm = latfeet / 5280;
		latnm = latsm / 1.15077945;
		longmeters = round(longlen);
		longfeet = round(longlen / 12 * 39.370079);
		longsm = longfeet / 5280;
		longnm = longsm / 1.15077945;
